/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;


/**
 * 缺陷管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-09 13:48:58  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷趋势图查询对象")
public class BugTendencyChartQueryDto
{
  @ApiModelProperty("租户id")
  private  String tenantId;
  @ApiModelProperty("项目id列表")
  private  List<String> projectIdList;
  @ApiModelProperty("开始时间:格式(YYYY-MM-dd)")
  private  String startTime;
  @ApiModelProperty("结束时间:格式(YYYY-MM-dd)")
  private  String endTime;
  @ApiModelProperty("类型：1按人员,2按项目")
  private  String recordType;
  @ApiModelProperty("类型：缺陷状态统计专用")
  private  List<String> recordType2;

  public List<String> getRecordType2() {
    return recordType2;
  }

  public void setRecordType2(List<String> recordType2) {
    this.recordType2 = recordType2;
  }

  public String getTenantId() {
    return tenantId;
  }

  public void setTenantId(String tenantId) {
    this.tenantId = tenantId;
  }

  public List<String> getProjectIdList() {
    return projectIdList;
  }

  public void setProjectIdList(List<String> projectIdList) {
    this.projectIdList = projectIdList;
  }

  public String getStartTime() {
    return startTime;
  }

  public void setStartTime(String startTime) {
    this.startTime = startTime;
  }

  public String getEndTime() {
    return endTime;
  }

  public void setEndTime(String endTime) {
    this.endTime = endTime;
  }

  public String getRecordType() {
    return recordType;
  }

  public void setRecordType(String recordType) {
    this.recordType = recordType;
  }
}
